aboutsummaryrefslogtreecommitdiff
path: root/package/kodi/S50kodi
diff options
context:
space:
mode:
authorGravatar Bernd Kuhls <bernd.kuhls@t-online.de>2014-12-23 18:46:27 +0100
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2014-12-27 19:58:28 +0100
commit3578459748d80cd469729319543b199380a4370f (patch)
tree6e24ab45a2f8d7a729ae213a95f4cdf0854d4760 /package/kodi/S50kodi
parentbc5b451b5ea48eef88ed0713be0af1f65a3c015b (diff)
downloadbuildroot-3578459748d80cd469729319543b199380a4370f.tar.gz
buildroot-3578459748d80cd469729319543b199380a4370f.tar.bz2
package/xbmc: rename to 'kodi', the new upstream project name
Background information: http://xbmc.org/introducing-kodi-14. In a first step to bump version to 14.0-Helix, we move the xbmc package to a new directory called kodi. Appropriate Config.in.legacy variables are added. [Thomas: rename patches to the new convention.] Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/kodi/S50kodi')
-rwxr-xr-xpackage/kodi/S50kodi39
1 files changed, 39 insertions, 0 deletions
diff --git a/package/kodi/S50kodi b/package/kodi/S50kodi
new file mode 100755
index 0000000000..3b0049f554
--- /dev/null
+++ b/package/kodi/S50kodi
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# Starts Kodi
+#
+
+BIN=/usr/bin/br-kodi
+KODI=/usr/lib/xbmc/xbmc.bin
+KODI_ARGS="--standalone -fs -n"
+PIDFILE=/var/run/kodi.pid
+
+start() {
+ echo -n "Starting Kodi: "
+ start-stop-daemon -S -q -b -m -p $PIDFILE --exec $BIN -- $KODI $KODI_ARGS
+ [ $? = 0 ] && echo "OK" || echo "FAIL"
+}
+stop() {
+ echo -n "Stopping Kodi: "
+ start-stop-daemon -K -q -p $PIDFILE
+ [ $? = 0 ] && echo "OK" || echo "FAIL"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac